import { EventEmitter, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { FrameworkService } from './framework.service';
import * as i0 from "@angular/core";
export declare class DefineFrameworkListingComponent implements OnInit {
    private frameworkService;
    cancel: EventEmitter<any>;
    next: EventEmitter<any>;
    mode: string;
    set setFramework(value: any);
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    animation: boolean;
    frameworkListSubscription: Subscription;
    constructor(frameworkService: FrameworkService);
    ngOnInit(): void;
    isMainLoader: boolean;
    frameworkCount: any;
    fetchFrameworkCount(): void;
    searchKey: string;
    apiFrameworkPayload: {
        page: number;
        search: string;
        type: number;
    };
    currentView: 'FRAMEWORK_CATEGORY' | 'FRAMEWORK';
    activeFrameworkType: 'REGULATIONS' | 'STANDARDS' | 'INTERNAL_CONTROLS' | 'OTHERS' | any;
    frameworkTypes: {
        REGULATIONS: number;
        STANDARDS: number;
        INTERNAL_CONTROLS: number;
        OTHERS: number;
    };
    frameworkData: any;
    changeType(type: 'REGULATIONS' | 'STANDARDS' | 'INTERNAL_CONTROLS' | 'OTHERS'): void;
    executeSearch(): void;
    pageChanged(evt: any): void;
    fetchFrameworkCategoryList(): void;
    selectedFramework: any;
    selectFramework(evt: any, framework: any): void;
    expandedFrameworkId: any;
    expandCollapseFramework(framework: any): void;
    removeSelectedFramework(): void;
    searchKeyforFramework: string;
    selectedFrameworkData: any;
    allControls: any;
    inScope: any;
    outScope: any;
    inScopeIds: any;
    allControlsSelected: boolean;
    issubLoading: boolean;
    loadFrameworkData(): void;
    checkAllElements(populateInScope: any): void;
    checkSelectAll(): void;
    selectAll(evt: any): void;
    setInscopeIds(): void;
    selectItem(evt: any, payload: any): void;
    manipulateItem(action: 'ADD' | 'DELETE', payload: any): void;
    selectCategory(evt: any, payload: any): void;
    manipulateCategory(action: 'ADD' | 'DELETE', payload: any): void;
    nextHandler(): void;
    cancelHandler(): void;
    expandedSubCategoryIds: any;
    subCategoryExpandCollapse(category: any): void;
    uniqueByProp(array: any, key: string): unknown[];
    static ɵfac: i0.ɵɵFactoryDeclaration<DefineFrameworkListingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DefineFrameworkListingComponent, "app-define-framework-listing", never, { "mode": { "alias": "mode"; "required": false; }; "setFramework": { "alias": "selectedFramework"; "required": false; }; }, { "cancel": "cancel"; "next": "next"; }, never, never, false, never>;
}
